Subject: Re: Perl/Tk
From: "Neil Lunn" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Tue, 22 Aug 2000 18:44:11 EST

>From: "Nash, John" <[email-masked]>
>To: 'Cygwin' <[email-masked]>
>Subject: Perl/Tk
>Date: Mon, 21 Aug 2000 14:31:27 -0400
>
>Good afternoon,
>

Allways a good greeting!

>perl Makefile.PL worked fine.
>The failure message from "make" is pasted at the end of the email.
>
>But I think it's more than a missing header file. I think 'Makefile' thinks
>it's in a Windows environment, not X.  As I said, I'm a bit out of my 
>depth,
>being more used to command-line Unix as a programming environment.

You're right there, it does think it's in Windows.

>tkPort.h:28: tkWinPort.h: No such file or directory
>make[1]: *** [Xlib_f.o] Error 1
>make[1]: Leaving directory `/opt/to_install/perl_modules/Tk800.022/pTk'
>make: *** [pTk/libpTk.a] Error 2

There is an abundance of #ifdef __WIN32__ throughtout the header files in 
the perl Tk module. The short answer is that these need to be overidden with 
#undef __WIN32__, or otherwise just commented out!

And that is just the start.

This module needs some patching to recognise that it is on cygwin and 
confgiure itself properly.

I'm only just working through this now.

Neil

P.S Eric do you have much more on this that you are happy to release?

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]